
Redmine - Feature #10763

REST-API: Please add "parent_issue_id" as filter for requests to filter out subtickets

2012-04-25 09:13 - Hannes Meier

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

In the REST-API-Wiki you are offering parent_issue_id to use for issue creation.

I m trying to use this value to filter all issues of a project with a get-request with:

project_id

tracker_id

status_id

parent_issue_id

I want to get rid of subtickets but it s just ignoring my additions.

My request looks like:

/redmine/issues.json?project_id=pr0123&tracker_id=4&status_id=1&parent_issue_id=!*&limit=100&key=4

240ba4e3andsoon

 Am i just to stupid to use the parent_issue_id or is this feature not included?

Using <preparent_issue_id = !* for getting rid of subtickets would be great.

Related issues:

Related to Redmine - Feature #10828: Request multiple distinct values includi... New

Is duplicate of Redmine - Feature #6118: Filter by parent task or subtasks Closed 2010-08-12

History

#1 - 2012-05-03 22:03 - Jeffrey Clark

Patch available, see Issue #10828

Allows things like /projects/pr0123/issues.xml?parent_id=!*

#2 - 2012-05-07 16:36 - Hannes Meier

thank you

i hope this will be added in the trunk

#3 - 2013-09-04 03:27 - Toshi MARUYAMA

- Related to Feature #10828: Request multiple distinct values including issue id, parent_id, root_id added

#4 - 2014-04-02 05:12 - Maxime Vez

+1

#5 - 2014-05-21 16:47 - Nicolas Roux

+1

#6 - 2017-05-01 14:20 - Go MAEDA

- Is duplicate of Feature #6118: Filter by parent task or subtasks added

#7 - 2017-05-01 14:25 - Go MAEDA

- Status changed from New to Closed
https://www.redmine.org/issues/10828


- Resolution set to Duplicate

Implemented in Redmine 3.1.0 as a part of #6118.

We can use parent_id parameter when listing issues.
